<!-- RegisterUserForm.vue -->
<template>
    <div>
      <h2>Register</h2>
      <form @submit.prevent="register">
        <input type="text" v-model="userData.username" placeholder="Username" required>
      <input type="password" v-model="userData.password" placeholder="Password" required>
      <input type="text" v-model="userData.firstname" placeholder="First Name" required>
      <input type="text" v-model="userData.lastname" placeholder="Last Name" required>
      <input type="text" v-model="userData.gender" placeholder="Gender">
      <input type="date" v-model="userData.birthday" placeholder="Date of Birth">
      <select v-model="userData.role" required>
        <option value="" disabled>Select Role</option>
        <option value="korisnik">korisnik</option>
        <option value="menadzer">menadzer</option>
        <option value="admin">admin</option>
      </select>
      <label>
        <input type="checkbox" v-model="userData.hasRentACarObject">
        Has Rent a Car Object
      </label>
      <button type="submit">Register</button>
    </form>
      <p v-if="errorMessage" class="error">{{ errorMessage }}</p>
    </div>
  </template>
  
  <script>
  import axios from 'axios';
  
  export default {
    data() {
      return {
        userData: {
          id: Date.now().toString(),
          username: '',
          password: '',
          firstname: '',
          lastname: '',
          gender: '',
          birthday: null,
          role: '',
          hasRentACarObject: false,
        },
        errorMessage: '',
      };
    },
    methods: {
      register() {
        // Make an API request to your Express.js backend for registration
        axios.post('/api/register', this.userData)
          .then((response) => {
            if (response.data.registered) {
                this.$router.push('/login');
                
            } else {
              // Registration failed, display an error message
              this.errorMessage = 'Registration failed. Please try again.';
            }
          })
          .catch((error) => {
            // Handle any errors from the API request
            console.error('Registration error:', error);
          });
      },
    },
  };
  </script>
  
  <style>
  /* Add your CSS styles here for the registration form and error message */
  .error {
    color: red;
  }
  </style>
  